{"openapi":"3.0.0","servers":[],"info":{"description":"This API Extracts textual details from the input ovd image.","version":"1.0.0","title":"A104ImageExtractionAPI","contact":{"email":"vishal.mishra@tssconsultancy.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/api/extract/doc":{"post":{"summary":"Extracts details from OVD image","operationId":"extractFromImageViaJsonBody","description":"Extracts details from OVD image input in json body","responses":{"200":{"description":"success"},"400":{"description":"Bad Request, invalid input, object invalid"},"500":{"description":"internal server error while processing image"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycExtractionRequestDto"}}},"description":"Extract details from ovd image input"}}}},"components":{"schemas":{"KycExtractionRequestDto":{"type":"object","required":["imageData","ovdType","photoImageMaxSize","croppedImageMaxSize"],"properties":{"imageData":{"type":"string","example":"/9fskfgtwagbgthegrwfsohiguv=="},"ovdType":{"type":"string","example":"AadhaarRegular"},"photoImageMaxSize":{"type":"integer","example":100},"croppedImageMaxSize":{"type":"integer","example":120}}}}}}